Bug 1574706 - subscription-manager: python2-subscription-manager-rhsm requires both Python 2 and Python 3
Summary: subscription-manager: python2-subscription-manager-rhsm requires both Python ...
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: subscription-manager   
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
high
medium
Target Milestone: ---
Assignee: Jiri Hnidek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-05-03 21:17 UTC by Iryna Shcherbina
Modified: 2018-08-14 11:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1819 None None None 2018-05-16 08:17 UTC

Description Iryna Shcherbina 2018-05-03 21:17:32 UTC
The python2-subscription-manager-rhsm RPM requires both Python 2 and Python 3:

$ dnf --repo rawhide repoquery --requires python2-subscription-manager-rhsm | grep python
libpython3.6m.so.1.0()(64bit)
python(abi) = 2.7
python2-dateutil
python2-iniparse
python2-six
rpm-python

$ dnf --repo rawhide repoquery python2-subscription-manager-rhsm
python2-subscription-manager-rhsm-0:1.21.4-3.fc29.x86_64

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error.

Please split your package, or remove the stray dependencies.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 28 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

Comment 1 Jan Kurik 2018-08-14 11:15:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.